Package com.sun.java.help.impl

# Class TagProperties

java.lang.Object
com.sun.java.help.impl.TagProperties

All Implemented Interfaces:
  `Cloneable`

public class TagProperties extends Object implements Cloneable

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Hashtable`
`hashtable`
`protected int`
`initialSize`

## Constructor Summary

Constructors
Constructor
Description
`TagProperties()`
Creates an empty property list with no default values.
`TagProperties(int initialSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`clone()`
`boolean`
`contains(Object value)`
`boolean`
`containsKey(Object key)`
`Enumeration`
`elements()`
`Object`
`get(Object key)`
`Hashtable`
`getHashtable()`
HERE - we probably should use plain Hashtable instead of TagProperties
`String`
`getProperty(String key)`
Searches for the property with the specified key in this property list.
`String`
`getProperty(String key, String defaultValue)`
Searches for the property with the specified key in this property list.
`boolean`
`isEmpty()`
`Enumeration`
`keys()`
`void`
`list(PrintStream out)`
Prints this property list out to the specified output stream.
`void`
`list(PrintWriter out)`
Prints this property list out to the specified output stream.
`Enumeration`
`propertyNames()`
Returns an enumeration of all the keys in this property list
`Object`
`put(Object key, Object value)`
`Object`
`remove(Object key)`
`protected void`
`setHashtable(Hashtable t)`
`int`
`size()`
Implementation of a deferred hashtable
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### hashtable

protected Hashtable hashtable

### initialSize

protected int initialSize

## Constructor Details

### TagProperties

public TagProperties()
Creates an empty property list with no default values.

Since:
  JDK1.0

### TagProperties

public TagProperties(int initialSize)

## Method Details

### getProperty

public String getProperty(String key)
Searches for the property with the specified key in this property list. The method returns `null` if the property is not found.

Parameters:
  `key` - the property key.
Returns:
  the value in this property list with the specified key value.
Since:
  JDK1.0

### getProperty

public String getProperty(String key, String defaultValue)
Searches for the property with the specified key in this property list. The method returns the default value argument if the property is not found.

Parameters:
  `key` - the hashtable key.
  `defaultValue` - a default value.
Returns:
  the value in this property list with the specified key value.
Since:
  JDK1.0

### propertyNames

public Enumeration propertyNames()
Returns an enumeration of all the keys in this property list

Returns:
  an enumeration of all the keys in this property list
Since:
  JDK1.0
See Also:
  - `Enumeration`

### list

public void list(PrintStream out)
Prints this property list out to the specified output stream. This method is useful for debugging.

Parameters:
  `out` - an output stream.
Since:
  JDK1.0

### list

public void list(PrintWriter out)
Prints this property list out to the specified output stream. This method is useful for debugging.

Parameters:
  `out` - an output stream.
Since:
  JDK1.1

### size

public int size()
Implementation of a deferred hashtable

### isEmpty

public boolean isEmpty()

### keys

public Enumeration keys()

### elements

public Enumeration elements()

### contains

public boolean contains(Object value)

### containsKey

public boolean containsKey(Object key)

### get

public Object get(Object key)

### put

public Object put(Object key, Object value)

### remove

public Object remove(Object key)

### clear

public void clear()

### setHashtable

protected void setHashtable(Hashtable t)

### getHashtable

public Hashtable getHashtable()
HERE - we probably should use plain Hashtable instead of TagProperties

### clone

public Object clone()

Overrides:
  `clone` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`